%define		mod_name	rpaf
%define		apxs		%{_sbindir}/apxs
Summary:	Reverse proxy add forward module for Apache2
Summary(pl.UTF-8):	Moduł Apache'a 2 dodający przekazywanie dla odwrotnych proxy
Name:		apache-mod_%{mod_name}
Version:	0.6
Release:	4
License:	Apache
Group:		Networking/Daemons/HTTP
Source0:	http://stderr.net/apache/rpaf/download/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	ba2b89274e1dd4c0f96f8d034fa305b1
Source1:	%{name}.conf
Patch0:		mod_rpaf_degtine.patch
Patch1:		apache-mod_rpaf-apache24.patch
URL:		http://stderr.net/apache/rpaf/
BuildRequires:	apache-devel >= 2.2
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Conflicts:	apache(mod_extract_forwarded)
Provides:	apache(mod_rpaf)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjoern Hansen. It will also work
with mod_proxy that is distributed with Apache2 from version 2.0.36.

%description -l en.UTF-8
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjørn Hansen. It will also work
with mod_proxy that is distributed with Apache2 from version 2.0.36.

%description -l pl.UTF-8
rpaf jest dla backendowych serwerów Apache tym, czym
mod_proxy_add_forward jest dla frontendowych. Wykonuje dokładnie
przeciwne operacje do mod_proxy_add_forward napisanego przez Aska
Bjorna Hansena. Będzie także działać z mod_proxy w Apache'u 2
począwszy od wersji 2.0.36.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1
mv -f mod_%{mod_name}{-2.0,}.c
%patch1 -p1

%build
%{apxs} -S CC="%{__cc}" -c -n mod_%{mod_name}.o mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}
install .libs/mod_rpaf.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/99_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Fri Feb 26 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache-mod_rpaf.git;a=log;h=v0.6.x

* Fri Feb 26 2016 Elan Ruusamäe <glen@delfi.ee> c9d3c2e
- build for x32

* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> a21d38e
- build with apache 2.4
- rel 3

* Sat Oct 17 2009 Paweł Gołaszewski <blues@pld-linux.org> f12a804
- added cross-conflicts

* Sat Dec 06 2008 Elan Ruusamäe <glen@pld-linux.org> 6c41668
- template-apache_module.spec

* Sat Dec 06 2008 areq <areq@pld-linux.org> 8e208ed
- /etc/http/httpd.conf/ =>  /etc/http//conf.d/
- rel 2

* Wed Nov 19 2008 areq <areq@pld-linux.org> 66bebc0
- 0.6

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> 7fcaf89
- HTTP group

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> f07d997
- rediff

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 6dded9a
- merged ipv6 patches

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 0989d95
- update to 0.6

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 6342411
- mod_rpaf patched to allow multiple chained proxies (needed to use pound balancer) (by alpha)
- rel 4

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 7f4dcb0
- revision 1.1
date: 2007/09/26 14:56:57;  author: alpha;  state: Exp;
- "degtine" stands for "vodka" in .lt
- see http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg210747.html

* Wed Sep 05 2007 Elan Ruusamäe <glen@pld-linux.org> 9180029
- rename module to mod_rpaf.c

* Wed Sep 05 2007 Elan Ruusamäe <glen@pld-linux.org> ddc3990
- rename module to mod_rpaf.c; rel 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 37a0b42
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d60516c
- converted to UTF-8

* Thu Feb 08 2007 Elan Ruusamäe <glen@pld-linux.org> ca2d6b2
- Provide apache(mod_rpaf); rel 2

* Thu Jan 19 2006 Elan Ruusamäe <glen@pld-linux.org> d423cbc
- fixed config, use %service; rel 1

* Thu Jan 19 2006 Elan Ruusamäe <glen@pld-linux.org> 692dcdf
- fix module name

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> b13ce39
- unified

